# Create Single Memcache Instance - CreateUMemcacheGroup

## Overview

Create Single Memcache Instance






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUMemcacheGroup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](api/summary/get_project_list). |No|
| **Name** | string | Request to create a group name Range[6-60] |**Yes**|
| **Size** | int | The size of the memory for each node, in GB, is set to 1GB by default. Currently, only the following tiers are supported: 1/2/4/8/16/32. |No|
| **ConfigId** | string | Configuration ID, currently only supports the default configuration id. Default configuration id: '9a891891-c245-4b66-bce8-67e59430d67c'". |No|
| **Version** | string | Memcache version information, default is 1.4.31 |No|
| **ChargeType** | string | Billing Mode, Year, Month, Dynamic Default: Month |No|
| **Quantity** | int | Purchase duration, default is 1 |No|
| **Tag** | string | Business Group Default: Default |No|
| **Protocol** | string |  |No|
| **CouponId** | string | Coupon ID |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **GroupId** | string | Created Group ID |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=CreateUMemcacheGroup
&Region=cn-bj2
&Zone=cn-bj2-04
&Name=djdj_XXXXX
&SubnetId=qVnAwdPw
&Protocol=fmwGhgdR
```

### Response Example
    
```json
{
  "Action": "CreateUMemcacheGroupResponse",
  "GroupId": "00f9868c-c7f5-4852-9eac-d200b678f0e1",
  "RetCode": 0
}
```





